RDKit: ForceFields::MMFF::MMFFTorCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
ForceFields::MMFF::MMFFTorCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const std::pair< const unsigned int, const MMFFTor * > | getMMFFTorParams (const std::pair< unsigned int, unsigned int > torType, const unsigned int iAtomType, const unsigned int jAtomType, const unsigned int kAtomType, const unsigned int lAtomType)
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions
static MMFFTorCollection * | getMMFFTor (const bool isMMFFs, const std::string &mmffTor="")
| gets a pointer to the singleton MMFFTorCollection More...

## Detailed Description

Definition at line 1195 of file MMFF/Params.h.

## Member Function Documentation

static MMFFTorCollection* ForceFields::MMFF::MMFFTorCollection::getMMFFTor | ( | const bool | isMMFFs,
|  | const std::string & | mmffTor = `""`
| ) |  |
| static

gets a pointer to the singleton MMFFTorCollection

Parameters

  mmffTor | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFTorCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFTorCollection has already been instantiated and `mmffTor` is empty, the singleton will be returned.
- if `mmffTor` is empty and the singleton MMFFTorCollection has not yet been instantiated, the default parameters (from Params.cpp) will be used.
- if `mmffTor` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

const std::pair<const unsigned int, const MMFFTor *> ForceFields::MMFF::MMFFTorCollection::getMMFFTorParams | ( | const std::pair< unsigned int, unsigned int > | torType,
|  | const unsigned int | iAtomType,
|  | const unsigned int | jAtomType,
|  | const unsigned int | kAtomType,
|  | const unsigned int | lAtomType
| ) |  |
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFTor object, NULL on failure.

Definition at line 1220 of file MMFF/Params.h.

References ForceFields::MMFF::MMFFDefCollection::getMMFFDef().

The documentation for this class was generated from the following file:

- MMFF/Params.h